PETSc version 3.15.5
Fix/Edit manual page

# VecCUDARestoreArrayWrite

Restore a CUDA device pointer previously acquired with VecCUDAGetArrayWrite().

### Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecCUDARestoreArrayWrite(Vec v, PetscScalar **a)

Data on the host will be marked as out of date. Subsequent access of the data on the host side e.g. with VecGetArray() will incur a device to host data transfer.

### Input Parameter

| v | - the vector
| a | - the CUDA device pointer. This pointer is invalid after VecCUDARestoreArrayWrite() returns.

### Fortran note

This function is not currently available from Fortran.

### See Also

VecCUDAGetArrayWrite(), VecCUDAGetArray(), VecCUDAGetArrayRead(), VecCUDAGetArrayWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Examples

src/snes/tutorials/ex47cu.cu.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages